Bug 846850 - Review Request: rosa-launcher - application launcher for KDE
Review Request: rosa-launcher - application launcher for KDE
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-08-08 17:41 EDT by Joseph Marrero
Modified: 2016-08-14 12:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-17 21:25:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Joseph Marrero 2012-08-08 17:41:05 EDT
Spec URL: https://docs.google.com/folder/d/0B0IbyJGzQiLLOUhDTWJ1dk1EbWM/edit?pli=1&docId=0B0IbyJGzQiLLdmhrYkNETjQxX1E

SRPM URL: https://docs.google.com/folder/d/0B0IbyJGzQiLLOUhDTWJ1dk1EbWM/edit?pli=1&docId=0B0IbyJGzQiLLci14U2lWWmxXZlU

Description: ROSA Desktop Application Launcher, launches applications and provides a search for Applications and Documents, has a Nepomuk interface for file histories and search. (Nepomuk timeframe currently incomplete in this build)

Fedora Account System Username:jmarrero

Successful Koji Builds: http://koji.fedoraproject.org/koji/taskinfo?taskID=4370440

This is my first package and I need a sponsor. Mr. Rex Dieter helped create the first package and did various uptreamable patches, I fixed the icon installation and will be fixing and maintaitaiing this package. The Uptream developer has been notified and has received the patches created by Mr. Dieter.
Comment 1 Rex Dieter 2012-08-08 17:59:11 EDT
I can review.
Comment 2 Rex Dieter 2012-08-08 18:09:15 EDT
$ rpmlint rosa-launcher rosa-launcher-0.34.12-3.fc17.src.rpm
rosa-launcher.x86_64: W: no-documentation
rosa-launcher.x86_64: W: no-manual-page-for-binary rosa-launcher
rosa-launcher.src: W: invalid-url Source0: rosa-launcher-0.34.12.tar.gz
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

mostly harmless.

naming: ok

scriptlets: ok

sources:  not ok
1. MUST: please document where one can get the Source0 used in this package.

macros: ok

licensing:ok


please clarify sources url, otherwise, looks good.
Comment 4 Rex Dieter 2012-08-08 18:57:55 EDT
thanks, APPROVED.
Comment 5 Joseph Marrero 2012-08-08 19:23:10 EDT
New Package SCM Request
=======================
Package Name: rosa-launcher
Short Description: application launcher for KDE
Owners: jmarrero rdieter
Branches: f17 f18 rawhide
InitialCC: kde-sig
Comment 6 Gwyn Ciesla 2012-08-08 22:14:31 EDT
Git done (by process-git-requests).

Rawhide is automatic, and kde-sig is not a valid fas account.
Comment 7 Fedora Update System 2012-08-09 03:08:52 EDT
rosa-launcher-0.34.12-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rosa-launcher-0.34.12-5.fc17
Comment 8 Fedora Update System 2012-08-09 18:56:02 EDT
rosa-launcher-0.34.12-5.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-08-17 21:25:10 EDT
rosa-launcher-0.34.12-5.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.